import 'messages.dart';

/// The translations for Northern Sami (`se`).
class FormBuilderLocalizationsImplSe extends FormBuilderLocalizationsImpl {
  FormBuilderLocalizationsImplSe([String locale = 'se']) : super(locale);

  @override
  String get creditCardErrorText => 'Detta fält kräver ett giltigt kreditkortsnummer.';

  @override
  String get dateStringErrorText => 'Detta fält kräver ett giltigt datum.';

  @override
  String get emailErrorText => 'Detta fält kräver en giltig e-postadress.';

  @override
  String equalErrorText(Object value) {
    return 'Detta fältvärde måste vara lika med $value.';
  }

  @override
  String equalLengthErrorText(Object length) {
    return 'Värdet måste ha en längd lika med $length.';
  }

  @override
  String get integerErrorText => 'Värdet måste vara ett heltal.';

  @override
  String get ipErrorText => 'Detta fält kräver en giltig IP-adress.';

  @override
  String get matchErrorText => 'Värdet matchar inte mönstret.';

  @override
  String maxErrorText(Object max) {
    return 'Värdet måste vara mindre än eller lika med $max.';
  }

  @override
  String maxLengthErrorText(Object maxLength) {
    return 'Värdet måste ha en längd mindre än eller lika med $maxLength.';
  }

  @override
  String maxWordsCountErrorText(Object maxWordsCount) {
    return 'Värdet måste ha ett antal ord som är mindre än eller lika med $maxWordsCount.';
  }

  @override
  String minErrorText(Object min) {
    return 'Värdet måste vara större än eller lika med $min.';
  }

  @override
  String minLengthErrorText(Object minLength) {
    return 'Värdet måste ha en längd större än eller lika med $minLength.';
  }

  @override
  String minWordsCountErrorText(Object minWordsCount) {
    return 'Värdet måste ha ett antal ord som är större än eller lika med $minWordsCount.';
  }

  @override
  String notEqualErrorText(Object value) {
    return 'Detta fältvärde får inte vara lika med $value.';
  }

  @override
  String get numericErrorText => 'Värdet måste vara numeriskt.';

  @override
  String get requiredErrorText => 'Detta fält får inte vara tomt.';

  @override
  String get urlErrorText => 'Detta fält kräver en giltig URL-adress.';

  @override
  String get phoneErrorText => 'Detta fält kräver ett giltigt telefonnummer.';

  @override
  String get creditCardExpirationDateErrorText => 'Detta fält kräver ett giltigt utgångsdatum för kreditkortet.';

  @override
  String get creditCardExpiredErrorText => 'Kreditkortet har gått ut.';

  @override
  String get creditCardCVCErrorText => 'Detta fält kräver en giltig CVC-kod för kreditkortet.';

  @override
  String colorCodeErrorText(Object colorCode) {
    return 'Detta fält kräver en giltig färgkod.';
  }

  @override
  String get uppercaseErrorText => 'Detta fält kräver versaler.';

  @override
  String get lowercaseErrorText => 'Detta fält kräver gemener.';

  @override
  String fileExtensionErrorText(Object extensions) {
    return 'Detta fält kräver en giltig filtillägg.';
  }

  @override
  String fileSizeErrorText(Object fileSize, Object maxSize) {
    return 'Denna fil överskrider den maximalt tillåtna storleken.';
  }

  @override
  String dateRangeErrorText(Object max, Object min) {
    return 'Datumet måste vara inom det tillåtna intervallet.';
  }

  @override
  String get mustBeTrueErrorText => 'Detta fält måste vara sant.';

  @override
  String get mustBeFalseErrorText => 'Detta fält måste vara falskt.';

  @override
  String containsSpecialCharErrorText(Object min) {
    return 'Detta fält måste innehålla ett specialtecken.';
  }

  @override
  String containsUppercaseCharErrorText(Object min) {
    return 'Detta fält måste innehålla versaler.';
  }

  @override
  String containsLowercaseCharErrorText(Object min) {
    return 'Detta fält måste innehålla gemener.';
  }

  @override
  String containsNumberErrorText(Object min) {
    return 'Detta fält måste innehålla siffror.';
  }

  @override
  String get alphabeticalErrorText => 'Detta fält får endast innehålla bokstäver.';

  @override
  String get uuidErrorText => 'Detta fält kräver ett giltigt UUID.';

  @override
  String get jsonErrorText => 'Detta fält kräver en giltig JSON.';

  @override
  String get latitudeErrorText => 'Detta fält kräver en giltig latitud.';

  @override
  String get longitudeErrorText => 'Detta fält kräver en giltig longitud.';

  @override
  String get base64ErrorText => 'Detta fält kräver en giltig Base64-sträng.';

  @override
  String get pathErrorText => 'Detta fält kräver en giltig sökväg.';

  @override
  String get oddNumberErrorText => 'Detta fält kräver ett udda nummer.';

  @override
  String get evenNumberErrorText => 'Detta fält kräver ett jämnt nummer.';

  @override
  String portNumberErrorText(Object max, Object min) {
    return 'Detta fält kräver ett giltigt portnummer.';
  }

  @override
  String get macAddressErrorText => 'Detta fält kräver en giltig MAC-adress.';

  @override
  String startsWithErrorText(Object value) {
    return 'Värdet måste börja med $value.';
  }

  @override
  String endsWithErrorText(Object value) {
    return 'Värdet måste sluta med $value.';
  }

  @override
  String containsErrorText(Object value) {
    return 'Värdet måste innehålla $value.';
  }

  @override
  String betweenErrorText(Object max, Object min) {
    return 'Värdet måste vara mellan $min och $max.';
  }

  @override
  String get containsElementErrorText => 'Värdet måste vara med i listan över tillåtna värden.';

  @override
  String get ibanErrorText => 'Detta fält kräver ett giltigt IBAN-nummer.';

  @override
  String get uniqueErrorText => 'Detta fält kräver ett unikt värde.';

  @override
  String get bicErrorText => 'Detta fält kräver ett giltigt BIC-nummer.';

  @override
  String get isbnErrorText => 'Detta fält kräver ett giltigt ISBN-nummer.';

  @override
  String get singleLineErrorText => 'Detta fält kräver en enradig text.';

  @override
  String get timeErrorText => 'Detta fält kräver en giltig tid.';
}
